'use strict';

function _toArray(arr) { return Array.isArray(arr) ? arr : Array.from(arr); }

var fs = require('fs');
var spawn = require('cross-spawn');

var _require = require('../../utils'),
    fromRoot = _require.fromRoot;

var _process$argv = _toArray(process.argv),
    executor = _process$argv[0],
    args = _process$argv.slice(1);

var lintStagedResult = spawn.sync(executor, [require.resolve('./lint-staged')].concat(args), { stdio: 'inherit' });

if (lintStagedResult.status !== 0 || !isOptedIntoValidate()) {
  process.exit(lintStagedResult.status);
} else {
  var validateResult = spawn.sync('npm', ['run', 'validate'], {
    stdio: 'inherit'
  });

  process.exit(validateResult.status);
}

function isOptedIntoValidate() {
  if (!fs.existsSync(fromRoot('.opt-in'))) {
    return false;
  }
  var contents = fs.readFileSync(fromRoot('.opt-in'), 'utf-8');
  return contents.includes('pre-commit');
}